@echo off

if not exist copyfilz.exe goto notdiskone

copyfilz %1 %2 %3 %4 %5 %6 %7 %8 %9

if errorlevel 1 goto badinst
if exist patch2.rtp goto continue
goto badinst

:continue

echo Deleting obsolete game files...

chk4game -y
chk4game -dbooks -y
chk4game -dttm -y
chk4game -dxtapes -y
chk4game -dltapes -y
md tapes
md tapes\game
md tapes\user 

echo Now updating game files.  This will take several minutes...

patch patch.rtp
patch patch2.rtp stock
del patch*.*

fbcheck
soundset

cls

echo The next thing we will do is update your leagues, plays, 
echo plans, and profiles to the new format used by FBPro '95.
echo When the updating program asks you to confirm the operation
echo you must answer with a 'Y'.  If you do not wish to update
echo the leagues and PPPs, you must do so manually before you
echo can use them in FBPro '95.

lgeupdat
pppupdat

cls

echo ˙To play NOW:
echo ˙   Type HIKE and press [ENTER].
echo.
echo ˙To play LATER:
echo ˙   Type CD \DYNAMIX\FBPRO95 and press [ENTER]
echo ˙   then Type HIKE and press [ENTER].
echo.
echo  Note: If you installed Football Pro '95 to a drive and/or
echo     directory other than the default, substitute the
echo     appropriate directory for the one specified above.
echo.
echo  If you should ever need to change your sound card selection 
echo  or settings, change to the game directory and run SOUNDSET.

goto end

:badinst

cls

echo  You did not properly or completely install FPS: Football
echo  Pro '95 to your hard drive.  If you did not intentionally
echo  exit the install program, you should refer to the trouble-
echo  shooting section of your game manual and retry the install,
echo  or try manually installing Football Pro '95 using the
echo  instructions found in the MANFB95.TXT file on disk #1.
echo.
echo  If you continue to experience difficulties you may obtain 
echo  the assistance of a Sierra Technical Support Representative.  
echo  Refer to the Technical Support section of your game manual 
echo  for more information.

goto end

:notdiskone

cls

echo  The install program could not be found.
echo.
echo  Please make sure that you have disk #1 in the active drive 
echo  when you run install.

goto end

:end
